DEPRECATION WARNING

This documentation is not using the current rendering mechanism and will be deleted by December 31st, 2020. The extension maintainer should switch to the new system. Details on how to use the rendering mechanism can be found here.

TYPO3 CMS Extension: Nagios Monitoring

Extension key:nagios
Version:2.1.0
Language:en
Description:Monitors TYPO3 instances and warns about insecure extensions, old TYPO3 versions, wrong PHP versions, etc. Requires a Nagios monitoring server.
Keywords:Nagios, monitoring, security
Copyright:2010-2016 Michael Schams <schams.net>
Author:Michael Schams, https://schams.net
License:GNU General Public License, either version 2 of the License, or any later version. For the full copyright and license information, please read the LICENSE.txt file that was distributed with this source code.
Rendered:2017-09-12 13:30

The content of this document is related to TYPO3 CMS, an enterprise open source content management system, licensed under GNU/GPL.

Nagios® was originally developed by Ethan Galstad and is licensed under the GNU GPL V2. No parts or components of Nagios® are used in the TYPO3 extension described in this document. However this extension makes no sense without a Nagios® server (and the check_typo3.sh plugin) which retrieves the information generated by the extension, interprets the data and reacts appropriately. Read more about Nagios® and its license at http://www.nagios.org

This documentation applies to version 2.1.0 of the Nagios® TYPO3 Monitoring extension.

Important

TYPO3 Nagios Extension Version 1.2.x vs. 2.x.x:

Version 2.0.0 of the TYPO3 extension is a re-development from scratch using Extbase and modern PHP functions and methods. This version requires TYPO3 CMS 7.6.0 or newer. If you plan to use the Nagios extension in older versions of TYPO3 CMS, please use version 1.2.x of the extension.

Breaking Change in Version 2.1.x:

A change of the output format between EXT:nagios version 2.0.x and 2.1.x is a possible breaking change under certain circumstances. Please read _update-from-2-0-x-to-2-1-x for further details.